import gleam/dynamic/decode.{type Decoder}

pub type ShipFuelConsumed {
  ShipFuelConsumed(amount: Int, timestamp: String)
}

pub fn decoder() -> Decoder(ShipFuelConsumed) {
  use amount <- decode.field("amount", decode.int)
  use timestamp <- decode.field("timestamp", decode.string)
  decode.success(ShipFuelConsumed(amount:, timestamp:))
}
