import gleam/dynamic/decode.{type Decoder}

pub type PublicAgent {
  PublicAgent(
    symbol: String,
    headquarters: String,
    credits: Int,
    starting_faction: String,
    ship_count: Int,
  )
}

pub fn decoder() -> Decoder(PublicAgent) {
  use symbol <- decode.field("symbol", decode.string)
  use headquarters <- decode.field("headquarters", decode.string)
  use credits <- decode.field("credits", decode.int)
  use starting_faction <- decode.field("startingFaction", decode.string)
  use ship_count <- decode.field("shipCount", decode.int)
  decode.success(PublicAgent(
    symbol:,
    headquarters:,
    credits:,
    starting_faction:,
    ship_count:,
  ))
}
